#include <fstream>
#include <iomanip>
using namespace std;

int main()
{
  ifstream fi ("sontn.inp");
  ofstream fo ("sontn.out");
  int n;
  fi>>n;
  fi.close();
  float sumc=0,suml=0,numc=0,numl=0;
  for (int i=1;i<n;i++){
    if (i%2==0){numc++;sumc=sumc+i;}
    if (i%2==1){numl++;suml=suml+i;}
  }
  fo<<sumc<<" "; fo<<fixed<<setprecision(2)<<sumc/numc<<endl;
  fo<<setprecision(0)<<suml<<" "; fo<<fixed<<setprecision(2)<<suml/numl<<endl;
  fo<<setprecision(0)<<suml+sumc<<" "; fo<<fixed<<setprecision(2)<<(suml+sumc)/(numc+numl);
}
